Bug 1224246 - [SNAPSHOT] : Appending time stamp to snap name while using scheduler to create snapshots should be removed.
Summary: [SNAPSHOT] : Appending time stamp to snap name while using scheduler to creat...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: snapshot
Version: rhgs-3.1
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: RHGS 3.1.0
Assignee: Avra Sengupta
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard: Scheduler
Depends On: 1208097
Blocks: qe_tracker_everglades 1202842 1223636
TreeView+ depends on / blocked
 
Reported: 2015-05-22 11:20 UTC by senaik
Modified: 2016-09-17 12:58 UTC (History)
8 users (show)

Fixed In Version: glusterfs-3.7.1-3.el6rhs
Doc Type: Bug Fix
Doc Text:
Clone Of: 1208097
Environment:
Last Closed: 2015-07-29 04:52:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1495 0 normal SHIPPED_LIVE Important: Red Hat Gluster Storage 3.1 update 2015-07-29 08:26:26 UTC

Description senaik 2015-05-22 11:20:33 UTC
+++ This bug was initially created as a clone of Bug #1208097 +++

Description of problem:
=======================
Creation of snapshot now by default is created with time stamp unless explicitly specified the option of no-timestamp. 

gluster snapshot create
Usage: snapshot create <snapname> <volname(s)> [no-timestamp] [description <description>] [force]

Currently when using scheduler to create snapshots it appends the time stamp to the snap name which results in the snap name having the time stamp repeat twice. So appending time stamp to snap name while using scheduler to create snapshots should be removed.  


Version-Release number of selected component (if applicable):
============================================================
gluster --version
glusterfs 3.7dev built on Mar 27 2015 01:04:44


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Anand Avati on 2015-04-02 05:48:29 EDT ---

REVIEW: http://review.gluster.org/10115 (snapshot/scheduler: Don't append timestamp in scheduled snapshots) posted (#1) for review on master by Avra Sengupta (asengupt@redhat.com)

--- Additional comment from Anand Avati on 2015-04-02 07:05:04 EDT ---

REVIEW: http://review.gluster.org/10115 (snapshot/scheduler: Don't append timestamp in scheduled snapshots) posted (#2) for review on master by Avra Sengupta (asengupt@redhat.com)

--- Additional comment from Anand Avati on 2015-04-06 06:29:02 EDT ---

REVIEW: http://review.gluster.org/10115 (snapshot/scheduler: Don't append timestamp in scheduled snapshots) posted (#3) for review on master by Avra Sengupta (asengupt@redhat.com)

--- Additional comment from Anand Avati on 2015-04-06 07:30:45 EDT ---

REVIEW: http://review.gluster.org/10115 (snapshot/scheduler: Don't append timestamp in scheduled snapshots) posted (#4) for review on master by Avra Sengupta (asengupt@redhat.com)

--- Additional comment from Anand Avati on 2015-04-06 13:22:17 EDT ---

REVIEW: http://review.gluster.org/10115 (snapshot/scheduler: Don't append timestamp in scheduled snapshots) posted (#5) for review on master by Niels de Vos (ndevos@redhat.com)

--- Additional comment from Anand Avati on 2015-04-07 02:14:31 EDT ---

REVIEW: http://review.gluster.org/10115 (snapshot/scheduler: Don't append timestamp in scheduled snapshots) posted (#6) for review on master by Rajesh Joseph (rjoseph@redhat.com)

--- Additional comment from Anand Avati on 2015-04-07 09:50:50 EDT ---

COMMIT: http://review.gluster.org/10115 committed in master by Vijay Bellur (vbellur@redhat.com) 
------
commit 057d2bed4175412e3a95224301eace3e133c1dd3
Author: Avra Sengupta <asengupt@redhat.com>
Date:   Thu Apr 2 15:14:48 2015 +0530

    snapshot/scheduler: Don't append timestamp in scheduled snapshots
    
    The scheduled snapshots will now have names as follows:
    Scheduled-<jobname>-<volume name>.
    
    Stopped appending time-stamp in scheduled snapshots because
    time-stamps are appended in snapshots by default unless
    explicitly asked not to.
    
    Therefore snapshot created from "Job1" of "test_vol" volume
    will look like
    Scheduled-Job1-test_vol_GMT-2015.04.02-09.43.02
    
    Change-Id: I75b4a87d265ed55193f08153fd7ffe521cc5ef68
    BUG: 1208097
    Signed-off-by: Avra Sengupta <asengupt@redhat.com>
    Reviewed-on: http://review.gluster.org/10115
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Rajesh Joseph <rjoseph@redhat.com>
    Reviewed-by: Vijay Bellur <vbellur@redhat.com>

--- Additional comment from Niels de Vos on 2015-05-14 13:27:14 EDT ---

This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

--- Additional comment from Niels de Vos on 2015-05-14 13:28:42 EDT ---

This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

--- Additional comment from Niels de Vos on 2015-05-14 13:35:19 EDT ---

This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

Comment 2 Avra Sengupta 2015-06-15 10:05:58 UTC
Fixed with http://review.gluster.org/#/c/10115/

Comment 4 Avra Sengupta 2015-06-17 06:28:20 UTC
This fix was part of initial RHGS branching.

Comment 5 senaik 2015-06-19 13:25:57 UTC
Version :glusterfs-3.7.1-4.el6rhs.x86_64 

Added a job which creates snapshots every 10 minutes on the volume, snapshots are created as below: 

gluster snapshot list
Scheduled-new1-vol0_GMT-2015.06.19-12.00.01
Scheduled-new2-vol1_GMT-2015.06.19-12.00.01
Scheduled-new1-vol0_GMT-2015.06.19-12.20.01
Scheduled-new2-vol1_GMT-2015.06.19-12.30.01
Scheduled-new1-vol0_GMT-2015.06.19-12.30.01
Scheduled-new2-vol1_GMT-2015.06.19-12.40.01

Marking the bug 'Verified'

Comment 6 errata-xmlrpc 2015-07-29 04:52:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html


Note You need to log in before you can comment on or make changes to this bug.